View Issue Details

IDProjectCategoryView StatusLast Update
0015034LazarusLCLpublic2011-03-16 20:18
ReporterMaciej KaczkowskiAssigned ToVincent Snijders 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMicrosoft WindowsOSWindows XPOS Version5.1
Product Version0.9.29 (SVN)Product Build22483 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015034: FFormState in private block
DescriptionFor Delphi compatibility FFormState in TCustomForm should be in protected part.

Unit forms.pp
Class TCustomForm

Checked on BDS 2006.
TagsNo tags attached.
Fixed in Revision22747
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2009-11-08 19:43 Maciej Kaczkowski New Issue
2009-11-08 19:43 Maciej Kaczkowski Widgetset => Win32/Win64
2009-11-18 22:07 Vincent Snijders LazTarget => 0.9.30
2009-11-18 22:07 Vincent Snijders Assigned To => Vincent Snijders
2009-11-18 22:07 Vincent Snijders Status new => assigned
2009-11-18 22:07 Vincent Snijders Target Version => 0.9.30
2009-11-24 11:38 Vincent Snijders Fixed in Revision => 22747
2009-11-24 11:38 Vincent Snijders Status assigned => resolved
2009-11-24 11:38 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2009-11-24 11:38 Vincent Snijders Resolution open => fixed
2011-03-16 20:18 Maciej Kaczkowski Status resolved => closed